gtksourceviewmm: gtksourceview::SourceStyleSchemeManager Class Reference

gtksourceviewmm 2.10.3

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
gtksourceview::SourceStyleSchemeManager Class Reference

Class providing access to SourceStyleSchemes. More...

`#include <gtksourceviewmm/sourcestyleschememanager.h>`

Inheritance diagram for gtksourceview::SourceStyleSchemeManager:
[legend]

List of all members.

## Public Member Functions
GtkSourceStyleSchemeManager* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyleSchemeManager* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceStyleSchemeManager* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::StringArrayHandle | get_search_path () const
| Returns the current search path for the manager.
void | set_search_path (const Glib::StringArrayHandle& path)
| Sets the list of directories where the manager looks for style scheme files.
void | reset_search_path ()
| Resets the list of directories where the manager looks for style scheme files to default.
void | append_search_path (const Glib::ustring& path)
| Appends path to the list of directories where the manager looks for style scheme files.
void | prepend_search_path (const Glib::ustring& path)
| Prepends path to the list of directories where the manager looks for style scheme files.
Glib::RefPtr< SourceStyleScheme > | get_scheme (const Glib::ustring& scheme_id)
| Looks up style scheme by id.
Glib::RefPtr< const SourceStyleScheme > | get_scheme (const Glib::ustring& scheme_id) const
| Looks up style scheme by id.
void | force_rescan ()
| Mark any currently cached information about the available style schemes as invalid.
Glib::StringArrayHandle | get_scheme_ids () const
| Returns the ids of the available style schemes.
## Static Public Member Functions
static Glib::RefPtr < SourceStyleSchemeManager > | create ()
| Creates a new style manager.
static Glib::RefPtr < SourceStyleSchemeManager > | get_default ()
| Returns the default SourceStyleSchemeManager instance.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceStyleSchemeManager > | wrap (GtkSourceStyleSchemeManager* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Class providing access to SourceStyleSchemes.

## Member Function Documentation

void gtksourceview::SourceStyleSchemeManager::append_search_path | ( | const Glib::ustring & | path | ) |

Appends path to the list of directories where the manager looks for style scheme files.

See set_search_path() for details.

Parameters:

  path | A directory or a filename.

static Glib::RefPtr<SourceStyleSchemeManager> gtksourceview::SourceStyleSchemeManager::create | ( |  | ) | `[static]`

Creates a new style manager.

If you do not need more than one style manager then use get_default() instead.

Returns:
  A SourceStyleSchemeManager.

void gtksourceview::SourceStyleSchemeManager::force_rescan | ( |  | ) |

Mark any currently cached information about the available style schemes as invalid.

All the available style schemes will be reloaded next time the manager is accessed.

static Glib::RefPtr<SourceStyleSchemeManager> gtksourceview::SourceStyleSchemeManager::get_default | ( |  | ) | `[static]`

Returns the default SourceStyleSchemeManager instance.

Returns:
  A SourceStyleSchemeManager.

Glib::RefPtr<SourceStyleScheme> gtksourceview::SourceStyleSchemeManager::get_scheme | ( | const Glib::ustring & | scheme_id | ) |

Looks up style scheme by id.

Parameters:

  scheme_id | Style scheme id to find.

Returns:
  A SourceStyleScheme object.

Glib::RefPtr<const SourceStyleScheme> gtksourceview::SourceStyleSchemeManager::get_scheme | ( | const Glib::ustring & | scheme_id | ) | const

Looks up style scheme by id.

Parameters:

  scheme_id | Style scheme id to find.

Returns:
  A SourceStyleScheme object.

Glib::StringArrayHandle gtksourceview::SourceStyleSchemeManager::get_scheme_ids | ( |  | ) | const

Returns the ids of the available style schemes.

Returns:
  An array of string containing the ids of the available style schemes.

Glib::StringArrayHandle gtksourceview::SourceStyleSchemeManager::get_search_path | ( |  | ) | const

Returns the current search path for the manager.

See set_search_path() for details.

Returns:
  An array of string containing the search path.

void gtksourceview::SourceStyleSchemeManager::prepend_search_path | ( | const Glib::ustring & | path | ) |

Prepends path to the list of directories where the manager looks for style scheme files.

See set_search_path() for details.

Parameters:

  path | A directory or a filename.

void gtksourceview::SourceStyleSchemeManager::set_search_path | ( | const Glib::StringArrayHandle & | path | ) |

Sets the list of directories where the manager looks for style scheme files.

Parameters:

  path | An empty string terminated array of strings.

## Friends And Related Function Documentation

Glib::RefPtr< gtksourceview::SourceStyleSchemeManager > wrap | ( | GtkSourceStyleSchemeManager * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.